Changes between Version 1 and Version 2 of Security0607


Ignore:
Timestamp:
03/08/06 12:56:23 (13 years ago)
Author:
lawrence
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Security0607

    v1 v2  
    1 Issues for DEWS and NDG. 
     1== Issues for DEWS and NDG.== 
     2 
     3 1. Need a Java Interface to the smClient library 
     4 1. Migrate internal web service communication to WS-Security 
     5   1. but note that WSDL and WS-Security imply the necessity for WS-ProxyAttachment. ([http://mail-archives.apache.org/mod_mbox/ws-fx-dev/200606.mbox/<449C0117.1060507%40iona.com> e.g.]) 
     6   1. Could we use pyGlobus? Huge list of dependencies? 
     7 1. Need to package things better for simpler installation 
     8   1. Note that the securityClient package which should be used by application developers has to 
     9have the minimal set of dependencies we can possibly get away with! [http://www-unix.globus.org/mail_archive/discuss/2006/05/msg00139.html This thread] is enough to put anyone 
     10off using the GT4 toolkit (and by extension, pyGlobus). 
     11 
    212 
    313==== Product Packaging ====